<?php

$real_estate_manager_tp_theme_css = '';

$real_estate_manager_tp_color_option = get_theme_mod('real_estate_manager_tp_color_option');

// 1st color
$real_estate_manager_tp_color_option = get_theme_mod('real_estate_manager_tp_color_option', '#B5995A');
if ($real_estate_manager_tp_color_option) {
	$real_estate_manager_tp_theme_css .= ':root {';
	$real_estate_manager_tp_theme_css .= '--color-primary1: ' . esc_attr($real_estate_manager_tp_color_option) . ';';
	$real_estate_manager_tp_theme_css .= '}';
}

//preloader
$real_estate_manager_tp_preloader_color1_option = get_theme_mod('real_estate_manager_tp_preloader_color1_option');
$real_estate_manager_tp_preloader_color2_option = get_theme_mod('real_estate_manager_tp_preloader_color2_option');
$real_estate_manager_tp_preloader_bg_color_option = get_theme_mod('real_estate_manager_tp_preloader_bg_color_option');

if($real_estate_manager_tp_preloader_color1_option != false){
$real_estate_manager_tp_theme_css .='.center1{';
	$real_estate_manager_tp_theme_css .='border-color: '.esc_attr($real_estate_manager_tp_preloader_color1_option).' !important;';
$real_estate_manager_tp_theme_css .='}';
}
if($real_estate_manager_tp_preloader_color1_option != false){
$real_estate_manager_tp_theme_css .='.center1 .ring::before{';
	$real_estate_manager_tp_theme_css .='background: '.esc_attr($real_estate_manager_tp_preloader_color1_option).' !important;';
$real_estate_manager_tp_theme_css .='}';
}
if($real_estate_manager_tp_preloader_color2_option != false){
$real_estate_manager_tp_theme_css .='.center2{';
	$real_estate_manager_tp_theme_css .='border-color: '.esc_attr($real_estate_manager_tp_preloader_color2_option).' !important;';
$real_estate_manager_tp_theme_css .='}';
}
if($real_estate_manager_tp_preloader_color2_option != false){
$real_estate_manager_tp_theme_css .='.center2 .ring::before{';
	$real_estate_manager_tp_theme_css .='background: '.esc_attr($real_estate_manager_tp_preloader_color2_option).' !important;';
$real_estate_manager_tp_theme_css .='}';
}
if($real_estate_manager_tp_preloader_bg_color_option != false){
$real_estate_manager_tp_theme_css .='.loader{';
	$real_estate_manager_tp_theme_css .='background: '.esc_attr($real_estate_manager_tp_preloader_bg_color_option).';';
$real_estate_manager_tp_theme_css .='}';
}

// footer-bg-color
$real_estate_manager_tp_footer_bg_color_option = get_theme_mod('real_estate_manager_tp_footer_bg_color_option');

if($real_estate_manager_tp_footer_bg_color_option != false){
$real_estate_manager_tp_theme_css .='#footer{';
	$real_estate_manager_tp_theme_css .='background: '.esc_attr($real_estate_manager_tp_footer_bg_color_option).' !important;';
$real_estate_manager_tp_theme_css .='}';
}

// logo tagline color
$real_estate_manager_site_tagline_color = get_theme_mod('real_estate_manager_site_tagline_color');

if($real_estate_manager_site_tagline_color != false){
$real_estate_manager_tp_theme_css .='.logo h1 a, .logo p a{';
$real_estate_manager_tp_theme_css .='color: '.esc_attr($real_estate_manager_site_tagline_color).';';
$real_estate_manager_tp_theme_css .='}';
}

$real_estate_manager_logo_tagline_color = get_theme_mod('real_estate_manager_logo_tagline_color');
if($real_estate_manager_logo_tagline_color != false){
$real_estate_manager_tp_theme_css .='p.site-description{';
$real_estate_manager_tp_theme_css .='color: '.esc_attr($real_estate_manager_logo_tagline_color).';';
$real_estate_manager_tp_theme_css .='}';
}

// footer widget title color
$real_estate_manager_footer_widget_title_color = get_theme_mod('real_estate_manager_footer_widget_title_color');
if($real_estate_manager_footer_widget_title_color != false){
$real_estate_manager_tp_theme_css .='#footer h3{';
$real_estate_manager_tp_theme_css .='color: '.esc_attr($real_estate_manager_footer_widget_title_color).';';
$real_estate_manager_tp_theme_css .='}';
}

// copyright text color
$real_estate_manager_footer_copyright_text_color = get_theme_mod('real_estate_manager_footer_copyright_text_color');
if($real_estate_manager_footer_copyright_text_color != false){
$real_estate_manager_tp_theme_css .='#footer .site-info p, #footer .site-info p a {';
$real_estate_manager_tp_theme_css .='color: '.esc_attr($real_estate_manager_footer_copyright_text_color).';';
$real_estate_manager_tp_theme_css .='}';
}

// header image title color
$real_estate_manager_header_image_title_text_color = get_theme_mod('real_estate_manager_header_image_title_text_color');
if($real_estate_manager_header_image_title_text_color != false){
$real_estate_manager_tp_theme_css .='.box-text h2{';
$real_estate_manager_tp_theme_css .='color: '.esc_attr($real_estate_manager_header_image_title_text_color).';';
$real_estate_manager_tp_theme_css .='}';
}

// menu color
$real_estate_manager_menu_color = get_theme_mod('real_estate_manager_menu_color');
if($real_estate_manager_menu_color != false){
$real_estate_manager_tp_theme_css .='.main-navigation a{';
$real_estate_manager_tp_theme_css .='color: '.esc_attr($real_estate_manager_menu_color).';';
$real_estate_manager_tp_theme_css .='}';
}

//Footer Font Weight
$real_estate_manager_footer_copyright_title_font_weight = get_theme_mod( 'real_estate_manager_footer_copyright_title_font_weight','');
if($real_estate_manager_footer_copyright_title_font_weight == '100'){
$real_estate_manager_tp_theme_css .='#footer .site-info p {';
    $real_estate_manager_tp_theme_css .='font-weight: 100;';
$real_estate_manager_tp_theme_css .='}';
}else if($real_estate_manager_footer_copyright_title_font_weight == '200'){
$real_estate_manager_tp_theme_css .='#footer .site-info p {';
    $real_estate_manager_tp_theme_css .='font-weight: 200;';
$real_estate_manager_tp_theme_css .='}';
}else if($real_estate_manager_footer_copyright_title_font_weight == '300'){
$real_estate_manager_tp_theme_css .='#footer .site-info p {';
    $real_estate_manager_tp_theme_css .='font-weight: 300;';
$real_estate_manager_tp_theme_css .='}';
}else if($real_estate_manager_footer_copyright_title_font_weight == '400'){
$real_estate_manager_tp_theme_css .='#footer .site-info p {';
    $real_estate_manager_tp_theme_css .='font-weight: 400;';
$real_estate_manager_tp_theme_css .='}';
}else if($real_estate_manager_footer_copyright_title_font_weight == '500'){
$real_estate_manager_tp_theme_css .='#footer .site-info p {';
    $real_estate_manager_tp_theme_css .='font-weight: 500;';
$real_estate_manager_tp_theme_css .='}';
}else if($real_estate_manager_footer_copyright_title_font_weight == '600'){
$real_estate_manager_tp_theme_css .='#footer .site-info p {';
    $real_estate_manager_tp_theme_css .='font-weight: 600;';
$real_estate_manager_tp_theme_css .='}';
}else if($real_estate_manager_footer_copyright_title_font_weight == '700'){
$real_estate_manager_tp_theme_css .='#footer .site-info p {';
    $real_estate_manager_tp_theme_css .='font-weight: 700;';
$real_estate_manager_tp_theme_css .='}';
}else if($real_estate_manager_footer_copyright_title_font_weight == '800'){
$real_estate_manager_tp_theme_css .='#footer .site-info p {';
    $real_estate_manager_tp_theme_css .='font-weight: 800;';
$real_estate_manager_tp_theme_css .='}';
}else if($real_estate_manager_footer_copyright_title_font_weight == '900'){
$real_estate_manager_tp_theme_css .='#footer .site-info p {';
    $real_estate_manager_tp_theme_css .='font-weight: 900;';
$real_estate_manager_tp_theme_css .='}';
}
